# The following tag is to get correct syntax highlighting for this file in vim text editor
# vim: syntax=spec

Name:       system76-acpi-dkms
Version:    1.0.2
Release:    10
Summary:    system76-acpi-dkms 
License:    GPLv3
URL:        https://github.com/pop-os/system76-acpi-dkms

# Detailed information about the source Git repository and the source commit
# for the created rpm package
VCS:        git+https://github.com/szydell/system76-acpi-dkms#fe6cc0fc381390f2738f4a7fe4715e4583881938:

# git_dir_pack macro places the repository content (the source files) into a tarball
# and returns its filename. The tarball will be used to build the rpm.
Source:     system76-acpi-dkms-fe6cc0fc.tar.gz

#Packages required for build
#BuildRequires: dbus-devel

#Packages required to work
Requires: dkms
Requires: kernel-devel

# More detailed description of the package
%description
System76 ACPI DKMS (Dynamic Kernel Module Support)
-----
This provides the system76_acpi in-tree driver for systems missing it.

 
%define debug_package %{nil}

#--
%prep
%setup -T -b 0 -q -n system76-acpi-dkms

%install
install -D -m 0644 *.c -t "%{buildroot}%{_usrsrc}/system76-acpi-0.5.git.26.fe6cc0fc/"
install -m 0644 Makefile -t "%{buildroot}%{_usrsrc}/system76-acpi-0.5.git.26.fe6cc0fc/"
install -m 0644 debian/system76-acpi-dkms.dkms "%{buildroot}%{_usrsrc}/system76-acpi-0.5.git.26.fe6cc0fc/dkms.conf"

# do after installation
%post
sed -i 's/PACKAGE_VERSION="#MODULE_VERSION#"/PACKAGE_VERSION="0.5.git.26.fe6cc0fc"/g' %{_usrsrc}/system76-io-0.5.git.26.fe6cc0fc/dkms.conf

/usr/bin/env dkms add -m system76-acpi -v 0.5.git.26.fe6cc0fc --rpm_safe_upgrade
/usr/bin/env dkms build -m system76-acpi -v 0.5.git.26.fe6cc0fc
/usr/bin/env dkms install -m system76-acpi -v 0.5.git.26.fe6cc0fc --force

# do before uninstallation
%preun
/usr/bin/env rmmod system76-acpi || : 
/usr/bin/env dkms remove -m system76-acpi -v 0.5.git.26.fe6cc0fc --all --rpm_safe_upgrade || :

# do after uninstallation, bugfix
%postun
rm -rfv /var/lib/dkms/system76-acpi/0.5.git.26.fe6cc0fc

# Those files will be in the rpm
%files
%{_usrsrc}/system76-acpi-0.5.git.26.fe6cc0fc

# Changelog
%changelog
* Tue Jun 11 2024 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-10
- bump Version to: 1.0.2-10

* Tue Jun 11 2024 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-9
- bump Version to: 1.0.2-9
- fetch upstream
- platform/x86: system76: constify pointers to hwmon_channel_info

* Thu Feb 15 2024 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-8
rebuild for F40
- bump Version to: 1.0.2-8

* Wed Feb 14 2024 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-7
try to build for epel9
- bump Version to: 1.0.2-7

* Wed Feb 14 2024 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-6
- bump Version to: 1.0.2-6
- fetch upstream
- Add dh-sequence-dkms to fix 24.04 build

* Sun Nov 26 2023 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-5
- bump Version to: 1.0.2-5
- Merge branch 'pop-os:master' into master
- Address feedback from upstream
- Handle new KBLED ACPI methods

* Tue May 23 2023 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-4
- bump Version to: 1.0.2-4

* Tue Mar 07 2023 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-3
- bump Version to: 1.0.2-3
- fetch upstream
- Fix system76_remove function on older kernels
- Update from upstream, fix build on Linux 6.2

* Sat Aug 13 2022 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-2
- bump Version to: 1.0.2-2
- fetch upstream
- platform/x86: system76_acpi: Use dev_get_drvdata

* Thu Jul 21 2022 Marcin Szydelski <marcin@szydelscy.pl> 1.0.2-1
- bump Version to: 1.0.2-1
- publish with real version

* Sun Jan 23 2022 Marcin Szydelski <marcin@szydelscy.pl> 0.5-1
- Merge branch 'pop-os:master' into master
- Guard System76 EC specific functionality
- Fix input device error handling

* Mon Nov 08 2021 Marcin Szydelski <marcin@szydelscy.pl> 0.4-1
- Merge branch 'pop-os:master' into master
- Fix error handling for input device

* Tue Oct 26 2021 Marcin Szydelski <marcin@szydelscy.pl> 0.3-1
- Merge branch 'pop-os:master' into master
- Add attribute group for kb_led_color
- Address feedback from upstream

* Tue May 04 2021 Marcin Szydelski <marcin@szydelscy.pl> 0.2-1
- init

* Tue May 04 2021 Marcin Szydelski <marcin@szydelscy.pl> 0.1-1
- Add battery charging thresholds
- 1.0.2
- Add input interface
- Add hwmon interface
- Make initramfs-tools hook executable
- applies a patch from Nick Shipp per email
- 1.0.1
- Update system76_acpi.c to match upstream patch
- Change package from system76-coreboot-dkms to system76-acpi-dkms
- system76-coreboot -> system76_acpi
- Remove lpc implementation, use safer kernel Ec system
- Print errors
- Fix compilation of color keyboard file, add lpc command to enable camera
toggle
- Add keyboard color
- Support for darter keyboard
- Remove unused input device
- Add hwdb information to catch touchpad toggle
- Add input device
- init
